ru.bitel.bgbilling.modules.rentsoft.common.bean

## Enum SubscribtionStatus.Status

- java.lang.Object
- - java.lang.Enum<SubscribtionStatus.Status>
  - - ru.bitel.bgbilling.modules.rentsoft.common.bean.SubscribtionStatus.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SubscribtionStatus.Status>
  Enclosing class:
    SubscribtionStatus

      public static enum SubscribtionStatus.Status
      extends java.lang.Enum<SubscribtionStatus.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `DELETED`
    `LOCK_FINANCE`
    `LOCK_VOLUNTARY`
    `TEST`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubscribtionStatus.Status` | `byCode(int code)`
    `int` | `getCode()`
    `java.lang.String` | `getRequestValue()`
    `java.lang.String` | `getTitle()`
    `static SubscribtionStatus.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SubscribtionStatus.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final SubscribtionStatus.Status ACTIVE

    - #### LOCK_FINANCE

          public static final SubscribtionStatus.Status LOCK_FINANCE

    - #### LOCK_VOLUNTARY

          public static final SubscribtionStatus.Status LOCK_VOLUNTARY

    - #### TEST

          public static final SubscribtionStatus.Status TEST

    - #### DELETED

          public static final SubscribtionStatus.Status DELETED

  - ### Method Detail

    - #### values

          public static SubscribtionStatus.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscribtionStatus.Status c : SubscribtionStatus.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscribtionStatus.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTitle

          public java.lang.String getTitle()

    - #### getRequestValue

          public java.lang.String getRequestValue()

    - #### getCode

          public int getCode()

    - #### byCode

          public static SubscribtionStatus.Status byCode(int code)